# Shows an error page when catches an exception.
class CKErrorPage < CKComponent
	attr_accessor :error, :debug, :stack_trace_line

	def version
		CKApplication.version
	end

	def error_class
		name = error.class.to_s
		if name.include? '::'
			name = name.split('::').pop
		end
		return name
	end

	def reason
		error.message
	end
end
