class MainPage < CKComponent
	LOGFILE = 'log.txt'

	def error
		nil + nil
	end
	
	def error_without_stacktrace
		application.debug = false
		error
	end
	
	def error_with_stacktrace
		application.debug = true
		error
	end

	def debug2stderr
		begin
			error
		rescue NameError
			log        = CKLog.new
			log.string = 'Exception in Error Screen'
			log.debug
		end
	end

	def debug2logfile
		begin
			error
		rescue NameError
			log        = CKLog.new LOGFILE
			log.string = 'Exception in Error Screen'
			log.debug
		end
	end
end


